Name:           tilda
Version:        0.9.4
Release:        7%{?dist}
Summary:        A quake like terminal for GNOME

Group:          Applications/System
License:        GPL
URL:            http://tilda.sourceforge.net/
Source0:        http://downloads.sourceforge.net/tilda/%{name}-%{version}.tar.gz
Patch0:         tilda-segfault-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils, pango-devel, vte-devel
BuildRequires:  libconfuse-devel, libXt-devel

%description
Tilda is a Linux terminal taking after the likeness of many classic terminals
from first person shooter games, Quake, Doom and Half-Life (to name a few),
where the terminal has no border and is hidden from the desktop until a key is
pressed.

%prep
%setup -q
%patch0 -p1 -b .segfix
echo "Comment=A quake like terminal for GNOME" >> tilda.desktop

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --delete-original --vendor="fedora"       \
        --dir=$RPM_BUILD_ROOT/%{_datadir}/applications         \
        --mode 0644                                            \
        --remove-category="Application"                        \
        --copy-name-to-generic-name                            \
        $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

install -D -p -m 644 %{name}.png \
        $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog TODO
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/fedora-%{name}.desktop

%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.4-7
- Autorebuild for GCC 4.3

* Mon Jan 22 2007 Josef Whiter <josef@toxicpanda.com> 0.9.4-6
- fix segfault when specifying invalid keybinding

* Mon Jan 22 2007 Josef Whiter <josef@toxicpanda.com> 0.9.4-5
- install icon into the size specific folder as well

* Mon Jan 22 2007 Josef Whiter <josef@toxicpanda.com> 0.9.4-4
- fixed changelog entry 
- removed NEWS from the %%doc section
- removed gettext from the BR
- added libXt-devel as a BR
- added --remove-category and --copy-name-to-generic name to the desktop-file-install
- added a comment to the desktop file

* Fri Jan 12 2007 Josef Whiter <josef@toxicpanda.com> 0.9.4-3
- Removed my ghetto doc install script and added %%doc section

* Thu Jan 11 2007 Josef Whiter <josef@toxicpanda.com> 0.9.4-2
- Added BR for libconfuse-devel

* Thu Jan 11 2007 Josef Whiter <josef@toxicpanda.com> 0.9.4-1
- Initial Release
